Package org.apache.groovy.swing.binding

# Class ClosureSourceBinding

java.lang.Object
org.apache.groovy.swing.binding.ClosureSourceBinding

All Implemented Interfaces:
  `SourceBinding`

public class ClosureSourceBinding extends Object implements SourceBinding

Since:
  Groovy 1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosureSourceBinding(Closure closure)`
  `ClosureSourceBinding(Closure closure, Object[] arguments)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Closure`
  `getClosure()`
  `Object`
  `getSourceValue()`
  `void`
  `setClosure(Closure closure)`
  `void`
  `setClosureArgument(Object argument)`
  `void`
  `setClosureArguments(Object[] arguments)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure)

  - ### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure, Object[] arguments)

- ## Method Details

  - ### getClosure

    public Closure getClosure()

  - ### setClosure

    public void setClosure(Closure closure)

  - ### getSourceValue

    public Object getSourceValue()
    Specified by:
      `getSourceValue` in interface `SourceBinding`

  - ### setClosureArguments

    public void setClosureArguments(Object[] arguments)

  - ### setClosureArgument

    public void setClosureArgument(Object argument)